Bug 162922 - [MSE][GStreamer] Enable QUOTA_EXCEEDED_ERR support for GStreamer
Summary: [MSE][GStreamer] Enable QUOTA_EXCEEDED_ERR support for GStreamer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Enrique Ocaña
URL:
Keywords:
Depends on:
Blocks: 157314
  Show dependency treegraph
 
Reported: 2016-10-04 10:55 PDT by Enrique Ocaña
Modified: 2016-10-26 01:50 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.74 KB, patch)
2016-10-04 11:00 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (1.74 KB, patch)
2016-10-16 12:13 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (1.74 KB, patch)
2016-10-26 01:24 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enrique Ocaña 2016-10-04 10:55:22 PDT
QUOTA_EXCEEDED_ERR should be reported by SourceBuffer when appropriate, at least on the GStreamer implementation.
Comment 1 Enrique Ocaña 2016-10-04 11:00:08 PDT
Created attachment 290622 [details]
Patch
Comment 2 Enrique Ocaña 2016-10-16 12:13:42 PDT
Created attachment 291773 [details]
Patch
Comment 3 Enrique Ocaña 2016-10-26 01:24:43 PDT
Created attachment 292903 [details]
Patch
Comment 4 Enrique Ocaña 2016-10-26 01:50:36 PDT
Comment on attachment 292903 [details]
Patch

Clearing flags on attachment: 292903

Committed r207890: <http://trac.webkit.org/changeset/207890>
Comment 5 Enrique Ocaña 2016-10-26 01:50:43 PDT
All reviewed patches have been landed.  Closing bug.